| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Stdio
Stdio.File

# Method Stdio.File()->statat()

Method statat

  `Stat statat(string path, void|int(0..1) symlink)`

Description

  Get status for a file relative an open directory.

  This function returns the same information as the function file_stat() , but relative to the file it is called in. If file is not an open file, `0` (zero) is returned. Zero is also returned if file is a pipe or socket.

Returns

  See file_stat() for a description of the return value.

Note

  Not available on all architectures, or in Pike 7.6 and earlier.

See also

  file_stat() , stat() , openat() , unlinkat()